Bug 769711 (CVE-2011-4621) - CVE-2011-4621 kernel: tight loop and no preemption can cause system stall
Summary: CVE-2011-4621 kernel: tight loop and no preemption can cause system stall
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-4621
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 749785 769715 812183
Blocks: 767920
TreeView+ depends on / blocked
 
Reported: 2011-12-21 20:29 UTC by Petr Matousek
Modified: 2019-09-29 12:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-24 12:48:31 UTC


Attachments (Terms of Use)

Description Petr Matousek 2011-12-21 20:29:32 UTC
A tight loop in user level process isn't preempted unless a realtime process is woken up on the cpu.  Some important kernel threads such as events/*, kblockd/* can be blocked by the process, and the machine stalls.

Unprivileged local user could use this flaw to DoS the system.

Upstream commit:
http://git.kernel.org/linus/f26f9aff6aaf67e9a430d16c266f91b13a5bff64

Reference:
https://lkml.org/lkml/2010/11/20/212

Acknowledgements:

Red Hat would like to thank Masaki Tachibana for reporting this issue.

Comment 2 Kurt Seifried 2011-12-21 22:23:00 UTC
Added CVE-2011-4621 as per http://www.openwall.com/lists/oss-security/2011/12/21/6

Comment 3 Eugene Teo (Security Response) 2012-04-13 01:40:31 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 812183]

Comment 6 Petr Matousek 2013-08-24 12:48:31 UTC
Statement:

This issue does not affect Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG 2.


Note You need to log in before you can comment on or make changes to this bug.